import { defineConfig } from 'astro/config';

import react from '@astrojs/react';

import tailwind from '@astrojs/tailwind';

import starlight from '@astrojs/starlight';

import starlightThemeBlack from 'starlight-theme-black'

// https://astro.build/config
export default defineConfig({
  integrations: [react(), tailwind({
    applyBaseStyles: false,
  }), starlight({
        plugins: [
          starlightThemeBlack({
//            navLinks: [{ // optional
//              label: 'Docs',
//              link: '/',
//            }],
//            footerText: //optional
//              'Built & designed by [Supported Systems](https://supported.systems)'
         })
        ],
	title: "Website Link",
  })],
});
